gRPC C#
gRPC C#
Namespaces
Grpc.Core
CallInvocationDetails(TRequest, TResponse) Structure
CallInvocationDetails(TRequest, TResponse) Methods
WithOptions Method

CallInvocationDetails TRequest, TResponse WithOptions Method

Returns new instance of CallInvocationDetails
TRequest, TResponse
with Options set to the value provided. Values of all other fields are preserved.

Namespace: Grpc.Core
Assembly: Grpc.Core (in Grpc.Core.dll) Version: 0.7.0.0
Syntax
C#
VB
C++
F#
Copy

    public CallInvocationDetails<TRequest, TResponse> WithOptions(
    	CallOptions options
    )

    Public Function WithOptions (
    	options As CallOptions
    ) As CallInvocationDetails(Of TRequest, TResponse)

    public:
    CallInvocationDetails<TRequest, TResponse> WithOptions(
    	CallOptions options
    )

    member WithOptions :
            options : CallOptions -> CallInvocationDetails<'TRequest, 'TResponse>

#### Parameters

options
  Type: Grpc.Core
  CallOptions

  [Missing <param name="options"/> documentation for "M:Grpc.Core.CallInvocationDetails`2.WithOptions(Grpc.Core.CallOptions)"]

#### Return Value

Type: CallInvocationDetails
TRequest, TResponse
See Also

#### Reference

CallInvocationDetails
TRequest, TResponse
Structure
Grpc.Core Namespace